diff compile @ 53:70af7fa155d0

Cleaned up some C warnings and added a simple compile script
author Mike Pavone <pavone@retrodev.com>
date Thu, 29 Apr 2010 04:32:54 +0000
parents
children 0083b2f7b3c7
line wrap: on
line diff
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/compile	Thu Apr 29 04:32:54 2010 +0000
@@ -0,0 +1,23 @@
+#!/bin/sh
+
+if test -f "$1.c"; then
+	rm "$1.c"
+fi
+
+./rhope -t 1 parser_old.rhope $1
+
+if test ! -f "$1.c"; then
+	echo "Compilation to C failed"
+	exit 1
+fi
+
+cp runtime/* build/
+cp "$1.c" build/
+cd build
+bin=`echo $1 | sed s/\.rhope//`
+
+if test -f "$bin"; then
+	rm "$bin"
+fi
+gcc -Wformat=0 -o $bin $2 "$1.c" blueprint.c context.c fixed_alloc.c object.c
+